Create Smart Link
Create a new Smart Link for the account. Smart Links are pooled Free Trial or Tracking links that rotate inventory automatically.
Authorization
default Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Request Body
application/json
The domain the Smart Link answers on. Must be one of your team's live domains. Defaults to your team's default domain.
The prefixed ID of the OnlyFans or Fanvue account to create the Smart Link for. Fanvue accounts are accepted on teams with Fanvue enabled.
The name of the Smart Link
Filter automated visits before opening the destination. Defaults to true.
HTTP(S) page URL reported for this link’s pixel events, overriding the pixel URL. Send null to use the pixel or click URL.
The type of Smart Link to create. Required for OnlyFans accounts and rejected for Fanvue accounts.
"free_trial" | "tracking_link"The number of free trial days (required if link_type is free_trial). Must be between 1 and 360. Rejected for Fanvue accounts.
Response Body
application/json
curl -X POST "https://app.fansapi.com/api/smart-links" \ -H "Content-Type: application/json" \ -d '{ "account_id": "acct_XXXXXXXX", "name": "Instagram Bio Link" }'{
"data": {
"id": "01JCZWQJZXQJZXQJZXQJZXQJZX",
"platform": "onlyfans",
"creator_id": "123456789",
"creator_username": "examplecreator",
"name": "Instagram Bio Link",
"link_type": "free_trial",
"traffic_redirect_url": "https://shh.bio/go/01JCZWQJZXQJZXQJZXQJZXQJZX",
"domain": "shh.bio",
"domain_serves": true,
"event_source_url": null,
"free_trial_days": 7,
"clicks_count": 0,
"conversions_count": 0,
"subscribers_count": 0,
"revenue": "0.00",
"cost": {
"inputMode": null,
"inputValue": null,
"perSub": null,
"perClick": null,
"perPromo": null,
"subscriberSourceCount": 0,
"clickSourceCount": 0
},
"account": {
"id": "acct_XXXXXXXX",
"display_name": "Example Creator",
"username": "examplecreator"
},
"created_at": "2025-01-15T10:30:00+00:00",
"updated_at": "2025-01-15T10:30:00+00:00"
},
"_meta": {
"_credits": {
"used": 0,
"balance": 999999985,
"note": "Free endpoint"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 10000000,
"limit_day": 50000,
"remaining_minute": 9999998,
"remaining_day": 49988
}
}
}